#
# Conditional build:
%bcond_without	gui	# GUI (gmixvm)

Summary:	GNU MIX Development Kit
Summary(pl.UTF-8):	GNU MIX Development Kit - zestaw programistyczny dla języka MIXAL
Name:		mdk
Version:	1.2.11
Release:	2
License:	GPL v2
Group:		Applications
Source0:	https://ftp.gnu.org/gnu/mdk/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	5598a4c20a0c5c670e25a7bbda6d8f3e
Patch0:		%{name}-gettext.patch
Patch1:		%{name}-info.patch
URL:		http://www.gnu.org/software/mdk/mdk.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	flex >= 2.5
BuildRequires:	gettext-tools >= 0.14
BuildRequires:	glib2-devel >= 1:2.4.0
# 2.0, 2.2 or 3.0
BuildRequires:	guile-devel >= 2.0
BuildRequires:	intltool >= 0.37
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	texinfo
%if %{with gui}
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	libglade2-devel >= 1:2.4.0
BuildRequires:	pango-devel >= 1:1.4
%endif
Requires:	glib2 >= 1:2.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MDK stands for MIX Development Kit, and provides tools for developing
and executing, in a MIX virtual machine, MIXAL programs.

The MIX is Donald Knuth's mythical computer, described in the first
volume of The Art of Computer Programming, which is programmed using
MIXAL, the MIX assembly language.

MDK includes a MIXAL assembler (mixasm) and a MIX virtual machine
(mixvm) with a command line interface. In addition, a GTK+ GUI to
mixvm, called gmixvm, is provided; and, for Emacs guy, exists emacs
mode, which allows running mixvm inside an Emacs GUD buffer.

%description -l pl.UTF-8
MDK oznacza MIX Development Kit (zestaw programistyczny MIX) i
dostarcza narzędzia do tworzenia i wykonywania programów w języku
MIXAL na wirtualnej maszynie MIX.

MIX to mityczny komputer Donalda Knutha opisany w pierwszej części
"The Art of Computer Programming", którą programuje się w języku
asemblera MIXAL (MIX assembly language).

MDK zawiera asembler MIXAL (mixasm) oraz maszynę wirtualną MIX (mixvm)
z interfejsem linii poleceń. Ponadto dostarczony jest graficzny
interfejs GTK+ do mixvm o nazwie gmixvm; a dla emacsowców istnieje
tryb Emacsa pozwalający na uruchomienie mixvm wewnątrz bufora GUD
Emacsa.

%package gui
Summary:	gmixvm - GUI for mixvm (MIX virtual machine)
Summary(pl.UTF-8):	gmixvm - GUI do mixvm (maszyny wirtualnej MIX)
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2 >= 2:2.6.0
Requires:	libglade2 >= 1:2.4.0
Requires:	pango >= 1:1.4

%description gui
gmixvm - GUI for mixvm (MIX virtual machine).

%description gui -l pl.UTF-8
gmixvm - GUI do mixvm (maszyny wirtualnej MIX).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_gui:--disable-gui}

%{__make}

ln -s doc/img
%{__make} -C doc html

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}
%{__rm} img/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS doc/{img,mdk.html}
%attr(755,root,root) %{_bindir}/mixasm
%attr(755,root,root) %{_bindir}/mixguile
%attr(755,root,root) %{_bindir}/mixvm
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/mixal-mode.el
%{_datadir}/%{name}/mixvm.el
%{_datadir}/%{name}/mixguile*.scm
%{_infodir}/mdk.info*

%if %{with gui}
%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gmixvm
%{_datadir}/%{name}/mixgtk.glade
%endif
%changelog
* Fri Mar 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mdk.git;a=log;h=master

* Fri Mar 11 2022 Jan Rękorajski <baggins@pld-linux.org> 4374eb7
- rebuild with guile 3.0

* Sun Oct 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 160c467
- updated to 1.2.11
- removed obsolete pmake patch
- added gettext patch (gettext 0.20+ support)
- added info patch (unify direntry)
- separate -gui

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 861ff11
- updated gettext BR

* Sat Mar 22 2008 Jakub Bogusz <qboosh@pld-linux.org> 9d1000e
- updated to 1.2.4
- added pmake patch

* Sat Mar 22 2008 Jakub Bogusz <qboosh@pld-linux.org> b5aea40
- fix parallel make

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 45a9f7a
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 801b762
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 37a4c74
- converted to UTF-8

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> ed71449
- BRs update

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> dd25d1a
- longer pl

* Fri Aug 18 2006 kolodko <kolodko@pld-linux.org> 9f1d5d1
- new
- ver. 0.1

